summary refs log tree commit diff
path: root/pkgs/applications/editors/jupyter-kernels/iruby/update.sh
diff options
context:
space:
mode:
Diffstat (limited to 'pkgs/applications/editors/jupyter-kernels/iruby/update.sh')
-rwxr-xr-xpkgs/applications/editors/jupyter-kernels/iruby/update.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/pkgs/applications/editors/jupyter-kernels/iruby/update.sh b/pkgs/applications/editors/jupyter-kernels/iruby/update.sh
new file mode 100755
index 00000000000..11ae225a79b
--- /dev/null
+++ b/pkgs/applications/editors/jupyter-kernels/iruby/update.sh
@@ -0,0 +1,18 @@
+#! /usr/bin/env nix-shell
+#! nix-shell -i bash -p curl jq bundler bundix ruby
+
+set -eu -o pipefail
+
+cd "$(dirname "$0")"
+
+# Update Gemfile with the latest iruby version
+echo "source 'https://rubygems.org'" > Gemfile
+echo -n "gem 'iruby', " >> Gemfile
+curl https://rubygems.org/api/v1/gems/iruby.json | jq .version >> Gemfile
+
+# Regenerate Gemfile.lock
+export BUNDLE_FORCE_RUBY_PLATFORM=1
+bundle lock
+
+# Regenerate gemset.nix
+bundix -l